﻿@model List<Portal_Proveedor.Models.OnBase.Documentos>
@{
    ViewBag.Title = "CargaMasivaFacturas";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<br />
<h2>Carga Masiva Facturas</h2>

@using (Html.BeginForm("CargaDeFacturas", "OnBase", FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal" }))
{
    <a href="javascript:;" class="btn3" onclick="horizontalNormal();">Horizontal</a>
    <div class="row">
        <div class="col-md-4"></div>
        <div class="col-md-3"></div>
        <div class="col-md-2"></div>
        <div class="col-md-3" style="float:right;">
            <a href="~/Resources/CARGA_MASIVA.xlsx" class="ui-button ui-widget ui-corner-all" target="_blank" title="Descargar plantilla para carga de facturas">
                Descargar plantilla <span class="ui-icon ui-icon-arrowthickstop-1-s ui-icon-"></span>
            </a>
        </div>
    </div>
    <br />
    if (Model.Count() > 0)
    {
        <div class="row">

            <div class="col-md-4">
                <input class="form-control" id="busqueda" type="text" placeholder="Buscar..">
            </div>

            @*<div class="col-md-3">
                    <p>
                        Seleccione el excel para la carga de facturas:
                    </p>
                </div>*@
            <div class="col-md-1">
                <p>
                    Plantilla:
                </p>
            </div>
            <div class="col-md-3">
                <input type="file" id="file" name="file" class="input-md " required="" />
            </div>
            <div class="col-md-1">
                <input type="submit" id="Importar" value="Importar" OnClick="Prueba()" class="btn btn-info btn" />
            </div>
        </div>

        <div class="row">

            <div class="col-md-4"></div>
            <div class="col-md-1">
                <p>
                    Documentos:
                </p>
            </div>
            <div class="col-md-3">
                <input type="file" id="files" name="files" class="input-md " required="" multiple="multiple" />
            </div>
        </div>
    }
}
<br />

<br />
@if (Model.Count != 0)
{
    if (Model[0].tieneConstancia != null)
    {
        <div class="alert alert-danger" role="alert">
            @Model[0].tieneConstancia
        </div>
    }
}
<div class="table-responsive-md">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                @if (User.IsInRole("admin"))
                {
                    <th scope="col">C&oacute;digo Proveedor</th>
                }
                <th scope="col">Ordenes de Compras</th>
                @*<th scope="col">Ver</th>*@

            </tr>
        </thead>
        <tbody id="tabla">
            @foreach (var item in Model)
            {
                <tr>
                    <th scope="row">
                        @item.consecutivo
                    </th>
                    @if (User.IsInRole("admin"))
                    {
                        <td>
                            @item.codigoProveedor
                        </td>
                    }
                    <td>
                        @item.numPO
                    </td>
                    @*<td>
                        <button ID="btnShowPopup" type="button" class="btn btn-info" OnClick="ShowPopup(@item.consecutivo)">
                            <img src="~/Content/images/lupa_blanca.png" />
                        </button>
                        <div id='@item.consecutivo' style="display: none">
                            <iframe src=@item.documentoPO
                                    type="application/pdf"
                                    style="height:100%; width:100%;"></iframe>
                        </div>
                    </td>*@
                </tr>
            }
        </tbody>
    </table>
</div>
@if (Model.Count() == 0)
{
    <div class="alert alert-warning" role="alert">
        No hay facturas para cargar en este momento.
    </div>
}

<script type="text/javascript">
    $(window).load(function () {
        // Animate loader off screen
        $(".se-pre-con").fadeOut("fast");
    });

    $(window).on('beforeunload', function () {
        $(".se-pre-con").fadeIn(50);
    });
</script>

<script type="text/javascript">

    $(document).ready(function () {

        $("#busqueda").on("keyup", function () {
            var value = $(this).val().toLowerCase();
            $("#tabla tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
        });
    });

    function ShowPopup(message) {
        $(function () {
            //$("#dialog").html(message);
            $('#' + message).dialog({
                title: "Orden de compra",
                buttons: {
                    Close: function () {
                        $(this).dialog('close');
                    }
                },
                modal: true,
                height: 600,
                width: 450,
            });
        });
    };

</script>


